/* Elementary types for the GNU UniString library.
   Copyright (C) 2002, 2005 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published
   by the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
   USA.  */

/* Copyright (C) 2006 Kerio Technologies, Inc.
 * This file has been patched by Kerio Technologies.
 * Date of the patch: 2006-25-10
 * The patch defines uintX_t types for windows
 */

#ifndef _UNITYPES_H
#define _UNITYPES_H

/* Get uint8_t, uint16_t, uint32_t.  */
#ifdef HAVE_STDINT_H
	#include <stdint.h>
#else
	#ifdef _WIN32
		typedef unsigned __int32 uint32_t;
		typedef unsigned __int8 uint8_t;
		typedef unsigned __int16 uint16_t;
	#else
		#error( unsuported system )
	#endif
#endif


/* Type representing a Unicode character.  */
typedef uint32_t ucs4_t;

/* Common macro, to avoid compilation errors when we use a GCC extension and
   GCC is run in pedantic mode.  */
#if __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 8)
# define UC_GNUC_EXTENSION __extension__
#else
# define UC_GNUC_EXTENSION
#endif

#endif /* _UNITYPES_H */
